【Minecraft/和訳】Minecraft 1.9 リリース【Spigot】
閉じる
閉じる

新しい記事を投稿しました。シェアして読者に伝えましょう

×

【Minecraft/和訳】Minecraft 1.9 リリース【Spigot】

2016-03-01 10:25
  • 2
  • 2

https://www.spigotmc.org/threads/minecraft-1-9-release.127186/

Spigot公式ページのアナウンス「Minecraft 1.9 Release」の和訳となります。
一部意訳が含まれていたり、誤訳な部分があるかもしれませんが、気になる場合はコメント等にてご指摘下さい。


追記&変更:
2016/3/1 10:40 一部訳を修正
2016/3/1 10:32 一部リンクを修正
2016/3/1 10:25 投稿


おはようみんな。
今日は、Minecraft1.9の為のSpigotMCによるソフトの公開をアナウンスすることが出来て嬉しく思います(注釈: 1.9正式リリースして一日以内の爆速公開です)。八ヶ月以上に渡って、私たちは今日皆が見ているものを作る事に、数百時間は没頭してきました。だから、私は「1.9のアップデートに飛び込む」前に、この投稿を徹底的に読んで、評価してほしいと思います。

BungeeCord

この投稿後の全てのBungeeCordは、ある特定の1.8と1.9のクライアントをサポートしています。1.7の対応は中止となりました。1.8と1.9両方のクライアント間のネットワークを快適に配置する為に、「default」と「fallback」というサーバー設定項目は、「priorities」という設定項目に置き換わります。もし、クライアントが最初のサーバーにアクセス出来なかった時、BungeeCordは次の「優先度(priority)」が高いサーバーにアクセスを試みるようになります。例えばもし、1.9のサーバーを第一優先度、1.8のサーバーを第二優先度に設定した場合、両方のバージョンのクライアントが、あなたのネットワークに接続することが出来ます。テストが行われてきたけども、このバージョンのBungeeCordはベータ版としてみなされるべきです。1.9正式版のクライアントとの間に、いくつかの問題がまだ存在する可能性があります。


Bukkit

Bukkit1.9APIの公開は、「Minecraft 1.9 - More Info」にすでに書いてあり、伝えるべき情報は特にはありません。変更に影響を与える主要なものは、Sound Enumのリワークであり、このAPIを使っている全てのプラグインに影響があるでしょう。しかしながら、数年間、ドキュメント内で言及していた警告であります(注釈: いきなりの変更じゃねーぞって事ですかね)。1.9の要素をカバーする新しいAPI達のどでかい山が盛り込まれていますが、もしあなたが何か追加されるべきAPIがあるだろうと感じたら、それを作ってくれとは頼まないで下さい。単純に、プルリクエストを行い、実装して下さい(注釈: これ以上必要な物があるというなら手前で作れって感じですかね)。オープンソースのプロジェクトなので、私たちはコード規約をする責任のある誰かから受け継いだコード規約に依存します。従って、私たちは、特にMinecraftサーバーに寄与し、私たちのソフトウェアをより良いものする事を手伝ってくれるような、全ての開発者を応援します。#spigot-dev IRCチャンネルが、協力やブレインストーミングの為に存在しています。1.9のAPI追加はこれで最後とみなされるべきではありません、しかし、これらのAPIは「自分達では変わってはいきません」(注釈: 多くの開発者の参加を望んでいるのだと思います)。


CraftBukkit

CraftBukkitの特に注意してほしい変更は、古代の産物である、1.7のAPIメソッドの書き換えによる削除のみです。もし、あなたが1.6もしくはそれ以前の、それらのAPIを使っているプラグインを持っている場合は、アップデートする必要があります。もし、アップデートする事が出来ないのであれば、「SpecialSource」というツールが互換性を保つのに便利です。単純にこれを起動して、下のコマンドをBuildToolsに入力するだけです。

java -jar BuildData/bin/SpecialSource-2.jar map -m CraftBukkit/deprecation-mappings.csrg -i MyPlugin.jar -o MyPlugin-fixed.jar

警告無しに、いつでもNMSのクラスの難読化や書き換えが変わるという事を、開発者たちに今一度思い出さる為には、とても値打ちのある事です。もし、何らかの理由であなたがこれらのサポートされていないクラスを使うのではあれば、それよりも、アップデートや、ライセンス問題を避ける為に、私たちと一緒に必要なAPIを実装することをして欲しい、というのが私たちの警告です。

最後になって後退したアップデート(すなわち遅れた理由):
BookEditEventは、デコンパイラの不具合によって一時的に削除されています。




Spigot

Anti-xrayは削除されました。ブロックの難読化の追加は、特に「mode 2」において、より広く、大きさの変えられた、もしくは異なるデータパレットを要求し、そのイベントの大きなパフォーマンス超過無しで、実装する方法というのを私たちが見つけることが出来なかった、という技術的な問題によります。もし、誰かがとても創造的にこれらの問題を、最小限のパフォーマンスですることを思いつくのであれば、これらは復活されるだろう。また、Spigotを入手する唯一の方法は、上のダウンロードタブにあるBuildtoolsを通してのみということを、皆に再確認させる良い機会です。もし、あなたがどこか他の所でjarファイル(訳注: BuildToolsのこと)を入手してきた場合は、私たちのフォーラムやIRCには来ないで下さい。


Getting It

全てのソフトウェアは、私たちのいつもの場所(訳注: BuildTools)で入手可能です。1.9のSpigotやCraftBukkitを入手するために、あなたは、どうあれBuildToolsのコピーのアップデートをダウンロードし、「--rev 1.9 argument」と共に実行する必要があります。例えば、

java -jar BuildTools.jar --rev 1.9

もし、あなたが何かサポートが必要な場合は、chat tabを通して私たちの所に来てください。

Finally

CraftBukkitとSpigotは、何ヶ月もの間、「play.spigot.org」にて、広範囲に渡ってテストされてきました。これらは、現在の1.8バージョンと安定性では少なくとも差は無いとみなされるべきです。加えて、「1.9で動作した」「アップデート待ってます」などのようなことを、プラグイン開発者には言わないで下さい、多くのプラグインは、アップデートを必要とせず、動作不能となることは無いでしょう。他人の時間を浪費する前に、自分で試してみてください。

楽しめ ~ Spigotチーム

追記: このリリースを賞賛してくれる人全てに感謝の言葉を捧げます。私はあなたが誰かを知っていて、あなた抜きではこれらは不可能なのです。







広告
×
日本語訳ありがとうございます!
18ヶ月前
×
ちょっと残念な訳
18ヶ月前
コメントを書く
コメントをするには、
ログインして下さい。